# Generated by Django 2.1.3 on 2019-07-25 10:39

import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('utp', '0010_auto_20190723_1457'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='historicalplan',
            name='id_plan',
        ),
        migrations.RemoveField(
            model_name='plan',
            name='id_plan',
        ),
        migrations.AddField(
            model_name='historicalplan',
            name='download_speed',
            field=models.PositiveSmallIntegerField(blank=True, null=True, validators=[django.core.validators.MaxValueValidator(4096)]),
        ),
        migrations.AddField(
            model_name='historicalplan',
            name='upload_speed',
            field=models.PositiveSmallIntegerField(blank=True, null=True, validators=[django.core.validators.MaxValueValidator(4096)]),
        ),
        migrations.AddField(
            model_name='historicalprofileutp',
            name='description',
            field=models.TextField(default=''),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='historicalprofileutp',
            name='download_speed',
            field=models.PositiveSmallIntegerField(blank=True, null=True, validators=[django.core.validators.MaxValueValidator(4096)]),
        ),
        migrations.AddField(
            model_name='historicalprofileutp',
            name='limitation_name',
            field=models.CharField(default='', max_length=100),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='historicalprofileutp',
            name='provisioning_available',
            field=models.BooleanField(default=False),
        ),
        migrations.AddField(
            model_name='historicalprofileutp',
            name='upload_speed',
            field=models.PositiveSmallIntegerField(blank=True, null=True, validators=[django.core.validators.MaxValueValidator(4096)]),
        ),
        migrations.AddField(
            model_name='plan',
            name='download_speed',
            field=models.PositiveSmallIntegerField(blank=True, null=True, validators=[django.core.validators.MaxValueValidator(4096)]),
        ),
        migrations.AddField(
            model_name='plan',
            name='upload_speed',
            field=models.PositiveSmallIntegerField(blank=True, null=True, validators=[django.core.validators.MaxValueValidator(4096)]),
        ),
        migrations.AddField(
            model_name='profileutp',
            name='description',
            field=models.TextField(default=''),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='profileutp',
            name='download_speed',
            field=models.PositiveSmallIntegerField(blank=True, null=True, validators=[django.core.validators.MaxValueValidator(4096)]),
        ),
        migrations.AddField(
            model_name='profileutp',
            name='limitation_name',
            field=models.CharField(default='', max_length=100),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='profileutp',
            name='provisioning_available',
            field=models.BooleanField(default=False),
        ),
        migrations.AddField(
            model_name='profileutp',
            name='upload_speed',
            field=models.PositiveSmallIntegerField(blank=True, null=True, validators=[django.core.validators.MaxValueValidator(4096)]),
        ),
        migrations.AlterUniqueTogether(
            name='cpeutp',
            unique_together={('alias', 'nodo_utp')},
        ),
    ]
